List an application's data migrations
import requests
url = "https://platform.ankra.app/api/v1/org/applications/{application_id}/launch-plan/data-migration/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/applications/{application_id}/launch-plan/data-migration/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/applications/{application_id}/launch-plan/data-migration/runs \
--header 'Authorization: Bearer <token>'{
"runs": [
{
"id": "<string>",
"application_id": "<string>",
"approval_id": "<string>",
"cluster_id": "<string>",
"commit_sha": "<string>",
"status": "running",
"plan": {},
"run": {},
"targets": {},
"environment_names": [
"<string>"
],
"rollback_requested_at": "2023-11-07T05:31:56Z",
"rollback_closes_at": "2023-11-07T05:31:56Z",
"started_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
}
]
}{
"detail": "<string>"
}Applications
List an application's data migrations
The application’s newest data-migration runs (at most 20), newest first, each with its plan, the state machine’s run, the targets and the names of the staged environment values (never a value). Requires applications.read.
GET
/
api
/
v1
/
org
/
applications
/
{application_id}
/
launch-plan
/
data-migration
/
runs
List an application's data migrations
import requests
url = "https://platform.ankra.app/api/v1/org/applications/{application_id}/launch-plan/data-migration/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/applications/{application_id}/launch-plan/data-migration/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/applications/{application_id}/launch-plan/data-migration/runs \
--header 'Authorization: Bearer <token>'{
"runs": [
{
"id": "<string>",
"application_id": "<string>",
"approval_id": "<string>",
"cluster_id": "<string>",
"commit_sha": "<string>",
"status": "running",
"plan": {},
"run": {},
"targets": {},
"environment_names": [
"<string>"
],
"rollback_requested_at": "2023-11-07T05:31:56Z",
"rollback_closes_at": "2023-11-07T05:31:56Z",
"started_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
}
]
}{
"detail": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
The runs
An application's newest data-migration runs.
Show child attributes
Show child attributes